DTXr - Bug #9

Reversed polarity ireversable!
09/06/2022 01:21 PM - David Fredriksson

Status: Closed Start date: 09/06/2022
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 3.1.7

Reported Version:

Description
On Device 83342 (KONGSBERG) Domain SWEPROD

firmware-revision Not set
ver 3.9.13

On the Object view page:

| can change binary input object to reverse an hit writ and that will be changed.

| (don't know how that effects anything in the javascript part)

However, if | after changing to reversed, try to change back to normal, nothing happends.

History

#1 - 12/02/2022 07:47 PM - Torbjorn Carlqvist Admin

- Target version set to 3.1.6

#2 - 01/06/2023 05:12 PM - Torbjorn Carlqvist Admin

- Target version changed from 3.1.6 to 3.1.7

#3 - 01/06/2023 05:16 PM - Torbjorn Carlqvist Admin

Had to move this to ver 3.1.7

Some reading about polarity due to BACnet spec:

Only applicable in Binary Input and Binary Output objects.

Facts

In some applications, electronic circuits may reverse the relationship between the application-level logical states, ACTIVE and INACTIVE, and the

physical state of the underlying hardware. For example, a normally open relay contact may result in an ACTIVE state (device energized) when the
relay is energized, while a normally closed relay contact may result in an ACTIVE state (device energized) when the relay is not energized.

Present_Value (Commandable)

This property, of type BACnetBinaryPV, reflects the logical state of the Binary Output. The logical state of the output shall be either INACTIVE or
ACTIVE. The relationship between the Present_Value and the physical state of the output is determined by the Polarity property. The
possible states are summarized in Table 12-9. Table 12-9. BACnet Polarity Relationships Present_Value Polarity Physical State of Output Physical
State of Device INACTIVE NORMAL OFF or INACTIVE not running ACTIVE NORMAL ON or ACTIVE running INACTIVE REVERSE ON or ACTIVE
not running ACTIVE REVERSE OFF or INACTIVE running

Polarity

This property, of type BACnetPolarity, indicates the relationship between the physical state of the output and the logical state represented by the
Present_Value property. If the Polarity property is NORMAL, then the ACTIVE state of the Present_Value property is also the ACTIVE or ON state of
the physical output as long as Out_Of_Service is FALSE. If the Polarity property is REVERSE, then the ACTIVE state of the Present_Value property
is the INACTIVE or OFF state of the physical output as long as Out_Of_Service is FALSE. See Table 12-9. If Out_Of_Service is TRUE, then the
Polarity property shall have no effect on the physical output state.

#4 - 01/06/2023 05:56 PM - Torbjorn Carlqvist Admin

- Status changed from New to In Progress

#5 - 01/12/2023 09:16 AM - Torbjorn Carlqvist Admin

- Status changed from In Progress to Resolved

04/03/2025 12




#6 - 01/23/2023 11:21 AM - Torbjorn Carlqvist Admin

- Status changed from Resolved to Closed

04/03/2025 22
